-----------------------------------------------------------------------------

local Roster = AceLibrary("Roster-2.1")
local L = AceLibrary("AceLocale-2.2"):new("AssessmentUnitData")
L:RegisterTranslations("enUS", function() return {
    ["Group Health"] = true,
} end)

-----------------------------------------------------------------------------

Assessment.TagData.health =
{
	method = function(data)
				local unitid = Roster:GetUnitIDFromName(data.key)
				if not unitid then return 0 end
				return UnitHealth(unitid)
			 end,
	data			= { "ALWAYSUPDATE" },	-- Until I implement events in tags in UserInterface (TagCompiler supports it), go with this
	numeric			= true,
	guaranteeResult = true
}

Assessment.TagData.healthfraction =
{
	method = function(data)
				local unitid = Roster:GetUnitIDFromName(data.key)
				if not unitid then return 0 end
				return UnitHealth(unitid) / UnitHealthMax(unitid)
			 end,
	data			= { "ALWAYSUPDATE" },
	numeric			= true,
	guaranteeResult = true
}

-----------------------------------------------------------------------------

Assessment.DefaultDisplaySets.GroupHealth =
{
	titleTag		= "Group Health",
	listType		= "GroupMembers", 
	barValueTag		= "healthFraction",
	filterType		= "ALL",
	fightIndex		= 0,
	barValueTextTag	= "[(barValue*100):format(\"%d%%\")]",
	description		= L["Group Health"]
}

-----------------------------------------------------------------------------
